All Classes Namespaces Functions Variables Pages
AmoebaVdwForce Class Reference

This class implements a buffered 14-7 potential used to model van der Waals forces. More...

Inheritance diagram for AmoebaVdwForce:

## Public Member Functions

def | getNumParticles
| getNumParticles(AmoebaVdwForce self) -> int More...
def | setParticleParameters
| setParticleParameters(AmoebaVdwForce self, int particleIndex, int parentIndex, double sigma, double epsilon, double reductionFactor) More...
def | getParticleParameters
| getParticleParameters(AmoebaVdwForce self, int particleIndex) More...
def | addParticle
| addParticle(AmoebaVdwForce self, int parentIndex, double sigma, double epsilon, double reductionFactor) -> int More...
def | setSigmaCombiningRule
| setSigmaCombiningRule(AmoebaVdwForce self, std::string const & sigmaCombiningRule) More...
def | getSigmaCombiningRule
| getSigmaCombiningRule(AmoebaVdwForce self) -> std::string const & More...
def | setEpsilonCombiningRule
| setEpsilonCombiningRule(AmoebaVdwForce self, std::string const & epsilonCombiningRule) More...
def | getEpsilonCombiningRule
| getEpsilonCombiningRule(AmoebaVdwForce self) -> std::string const & More...
def | getUseDispersionCorrection
| getUseDispersionCorrection(AmoebaVdwForce self) -> bool More...
def | setUseDispersionCorrection
| setUseDispersionCorrection(AmoebaVdwForce self, bool useCorrection) More...
def | setParticleExclusions
| setParticleExclusions(AmoebaVdwForce self, int particleIndex, vectori exclusions) More...
def | getParticleExclusions
| getParticleExclusions(AmoebaVdwForce self, int particleIndex) More...
def | setCutoff
| setCutoff(AmoebaVdwForce self, double cutoff) More...
def | getCutoff
| getCutoff(AmoebaVdwForce self) -> double More...
def | getNonbondedMethod
| getNonbondedMethod(AmoebaVdwForce self) -> OpenMM::AmoebaVdwForce::NonbondedMethod More...
def | setNonbondedMethod
| setNonbondedMethod(AmoebaVdwForce self, OpenMM::AmoebaVdwForce::NonbondedMethod method) More...
def | updateParametersInContext
| updateParametersInContext(AmoebaVdwForce self, Context context) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(AmoebaVdwForce self) -> bool More...
def | __init__
| init(OpenMM::AmoebaVdwForce self) -> AmoebaVdwForce init(OpenMM::AmoebaVdwForce self, AmoebaVdwForce other) -> AmoebaVdwForce More...
def | __del__
| del(OpenMM::AmoebaVdwForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes

| this

## Static Public Attributes

| NoCutoff = _openmm.AmoebaVdwForce_NoCutoff
| CutoffPeriodic = _openmm.AmoebaVdwForce_CutoffPeriodic

## Detailed Description

This class implements a buffered 14-7 potential used to model van der Waals forces.

To use it, create an AmoebaVdwForce object then call addParticle() once for each particle. After a particle has been added, you can modify its force field parameters by calling setParticleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

A unique feature of this class is that the interaction site for a particle does not need to be exactly at the particle's location. Instead, it can be placed a fraction of the distance from that particle to another one. This is typically done for hydrogens to place the interaction site slightly closer to the parent atom. The fraction is known as the "reduction factor", since it reduces the distance from the parent atom to the interaction site.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::AmoebaVdwForce self) -> AmoebaVdwForce init(OpenMM::AmoebaVdwForce self, AmoebaVdwForce other) -> AmoebaVdwForce

Create an Amoeba VdwForce.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::AmoebaVdwForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addParticle | ( |  | self,
|  |  | args
| ) |  |

addParticle(AmoebaVdwForce self, int parentIndex, double sigma, double epsilon, double reductionFactor) -> int

Add the force field parameters for a vdw particle.

Parameters

  parentIndex | the index of the parent particle
  sigma | vdw sigma
  epsilon | vdw epsilon
  reductionFactor | the fraction of the distance along the line from the parent particle to this particle at which the interaction site should be placed

References simtk.openmm.openmm.stripUnits().

Referenced by NonbondedForce.addParticle_usingRVdw().

def getCutoff | ( |  | self,
|  |  | args
| ) |  |

getCutoff(AmoebaVdwForce self) -> double

Get the cutoff distance.

References simtk.openmm.openmm.stripUnits().

def getEpsilonCombiningRule | ( |  | self,
|  |  | args
| ) |  |

getEpsilonCombiningRule(AmoebaVdwForce self) -> std::string const &

Get epsilon combining rule

References simtk.openmm.openmm.stripUnits().

def getNonbondedMethod | ( |  | self,
|  |  | args
| ) |  |

getNonbondedMethod(AmoebaVdwForce self) -> OpenMM::AmoebaVdwForce::NonbondedMethod

Get the method used for handling long range nonbonded interactions.

References simtk.openmm.openmm.stripUnits().

def getNumParticles | ( |  | self,
|  |  | args
| ) |  |

getNumParticles(AmoebaVdwForce self) -> int

Get the number of particles

References simtk.openmm.openmm.stripUnits().

def getParticleExclusions | ( |  | self,
|  |  | args
| ) |  |

getParticleExclusions(AmoebaVdwForce self, int particleIndex)

Get exclusions for specified particle

Parameters

  particleIndex | particle index
  exclusions | vector of exclusions

References simtk.openmm.openmm.stripUnits().

def getParticleParameters | ( |  | self,
|  |  | args
| ) |  |

getParticleParameters(AmoebaVdwForce self, int particleIndex)

Get the force field parameters for a vdw particle.

Parameters

  particleIndex | the particle index
  parentIndex | the index of the parent particle
  sigma | vdw sigma
  epsilon | vdw epsilon
  reductionFactor | the fraction of the distance along the line from the parent particle to this particle at which the interaction site should be placed

References simtk.openmm.openmm.stripUnits().

def getSigmaCombiningRule | ( |  | self,
|  |  | args
| ) |  |

getSigmaCombiningRule(AmoebaVdwForce self) -> std::string const &

Get sigma combining rule

References simtk.openmm.openmm.stripUnits().

def getUseDispersionCorrection | ( |  | self,
|  |  | args
| ) |  |

getUseDispersionCorrection(AmoebaVdwForce self) -> bool

Get whether to add a contribution to the energy that approximately represents the effect of VdW interactions beyond the cutoff distance. The energy depends on the volume of the periodic box, and is only applicable when periodic boundary conditions are used. When running simulations at constant pressure, adding this contribution can improve the quality of results.

References simtk.openmm.openmm.stripUnits().

def setCutoff | ( |  | self,
|  |  | args
| ) |  |

setCutoff(AmoebaVdwForce self, double cutoff)

Set the cutoff distance.

References simtk.openmm.openmm.stripUnits().

def setEpsilonCombiningRule | ( |  | self,
|  |  | args
| ) |  |

setEpsilonCombiningRule(AmoebaVdwForce self, std::string const & epsilonCombiningRule)

Set epsilon combining rule

Parameters

  epsilonCombiningRule | epsilon combining rule: 'ARITHMETIC', 'GEOMETRIC'. 'HARMONIC', 'HHG'

References simtk.openmm.openmm.stripUnits().

def setNonbondedMethod | ( |  | self,
|  |  | args
| ) |  |

setNonbondedMethod(AmoebaVdwForce self, OpenMM::AmoebaVdwForce::NonbondedMethod method)

Set the method used for handling long range nonbonded interactions.

References simtk.openmm.openmm.stripUnits().

def setParticleExclusions | ( |  | self,
|  |  | args
| ) |  |

setParticleExclusions(AmoebaVdwForce self, int particleIndex, vectori exclusions)

Set exclusions for specified particle

Parameters

  particleIndex | particle index
  exclusions | vector of exclusions

References simtk.openmm.openmm.stripUnits().

def setParticleParameters | ( |  | self,
|  |  | args
| ) |  |

setParticleParameters(AmoebaVdwForce self, int particleIndex, int parentIndex, double sigma, double epsilon, double reductionFactor)

Set the force field parameters for a vdw particle.

Parameters

  particleIndex | the particle index
  parentIndex | the index of the parent particle
  sigma | vdw sigma
  epsilon | vdw epsilon
  reductionFactor | the fraction of the distance along the line from the parent particle to this particle at which the interaction site should be placed

References simtk.openmm.openmm.stripUnits().

def setSigmaCombiningRule | ( |  | self,
|  |  | args
| ) |  |

setSigmaCombiningRule(AmoebaVdwForce self, std::string const & sigmaCombiningRule)

Set sigma combining rule

Parameters

  sigmaCombiningRule | sigma combining rule: 'ARITHMETIC', 'GEOMETRIC'. 'CUBIC-MEAN'

References simtk.openmm.openmm.stripUnits().

def setUseDispersionCorrection | ( |  | self,
|  |  | args
| ) |  |

setUseDispersionCorrection(AmoebaVdwForce self, bool useCorrection)

Set whether to add a contribution to the energy that approximately represents the effect of VdW interactions beyond the cutoff distance. The energy depends on the volume of the periodic box, and is only applicable when periodic boundary conditions are used. When running simulations at constant pressure, adding this contribution can improve the quality of results.

References simtk.openmm.openmm.stripUnits().

def updateParametersInContext | ( |  | self,
|  |  | args
| ) |  |

updateParametersInContext(AmoebaVdwForce self, Context context)

Update the per-particle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setParticleParameters() to modify this object's parameters, then call updateParametersInContext() to copy them over to the Context.

The only information this method updates is the values of per-particle parameters. All other aspects of the Force (the nonbonded method, the cutoff distance, etc.) are unaffected and can only be changed by reinitializing the Context.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(AmoebaVdwForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

CutoffPeriodic = _openmm.AmoebaVdwForce_CutoffPeriodic

static

NoCutoff = _openmm.AmoebaVdwForce_NoCutoff

static

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py